ros-lyrical-launch-xml (3.9.7-3resolute) resolute; urgency=high

  * Correct typos (#961 <https://github.com/ros2/launch/issues/961>)
  * Support frontends for PathJoinSubstitution (#943 <https://github.com/ros2/launch/issues/943>)
  * Contributors: Auguste Lalande, Christophe Bedard

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 09 Apr 2026 00:00:00 -0000

ros-lyrical-launch-xml (3.9.6-3resolute) resolute; urgency=high

  * Capture the environment variables in TimerAction (#728 <https://github.com/ros2/launch/issues/728>)
  * Contributors: Sebastian Javier D'Alessandro Szymanowski

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 12 Jan 2026 00:00:00 -0000

ros-lyrical-launch-xml (3.9.5-3resolute) resolute; urgency=high

  * Expose StringJoinSubstitution to frontend (#857 <https://github.com/ros2/launch//issues/857>)
  * Contributors: Christian Ruf

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 07 Nov 2025 00:00:00 -0000

ros-lyrical-launch-xml (3.9.4-3resolute) resolute; urgency=high

  * Fix all/any in xml and yaml launch files (#906 <https://github.com/ros2/launch/issues/906>)
  * Contributors: Matthijs van der Burgh

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 17 Oct 2025 00:00:00 -0000

ros-lyrical-launch-xml (3.9.3-3resolute) resolute; urgency=high

  * Allow providing launch args to include using let in frontends (#848 <https://github.com/ros2/launch//issues/848>)
  * Contributors: Christophe Bedard

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 06 Oct 2025 00:00:00 -0000

ros-lyrical-launch-xml (3.9.2-3resolute) resolute; urgency=high

  * Fix Setuptoolsdeprecations (#898 <https://github.com/ros2/launch/issues/898>)
  * Contributors: mosfet80

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 29 Jul 2025 00:00:00 -0000

ros-lyrical-launch-xml (3.9.1-3resolute) resolute; urgency=high

  * Make sure to install py.typed files (#886 <https://github.com/ros2/launch/issues/886>)
  * Add remaining py.typed (#884 <https://github.com/ros2/launch/issues/884>)
  * Fix log_* warnings (#883 <https://github.com/ros2/launch/issues/883>)
  * Allow Path in substitutions, instead of requiring cast to str (#873 <https://github.com/ros2/launch/issues/873>)
  * Other Logging Implementations with getLevelNamesMapping fix (#866 <https://github.com/ros2/launch/issues/866>)
  * Revert "Add Other Logging Implementations (#858 <https://github.com/ros2/launch/issues/858>)" (#865 <https://github.com/ros2/launch/issues/865>)
    This reverts commit b7b31c45b0eb350deedd282b88398d1ca0d5faf4.
  * Add Other Logging Implementations (#858 <https://github.com/ros2/launch/issues/858>)
  * Contributors: Christophe Bedard, Emerson Knapp, Michael Carlstrom

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 19 Jun 2025 00:00:00 -0000

ros-lyrical-launch-xml (3.9.0-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 24 Apr 2025 00:00:00 -0000

ros-lyrical-launch-xml (3.8.1-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 18 Apr 2025 00:00:00 -0000

ros-lyrical-launch-xml (3.8.0-3resolute) resolute; urgency=high

  * Add ForEach action to repeat entities using iteration-specific values (#802 <https://github.com/ros2/launch/issues/802>)
  * Stop loading extensions during launch_{xml,yaml} tests. (#820 <https://github.com/ros2/launch/issues/820>)
  * Cleanup the launch dependencies. (#819 <https://github.com/ros2/launch/issues/819>)
  * Contributors: Chris Lalancette, Christophe Bedard

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 27 Feb 2025 00:00:00 -0000

ros-lyrical-launch-xml (3.7.1-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 20 Dec 2024 00:00:00 -0000

ros-lyrical-launch-xml (3.7.0-3resolute) resolute; urgency=high

  * Add test_xmllint to all of the ament_python packages. (#804 <https://github.com/ros2/launch/issues/804>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 20 Nov 2024 00:00:00 -0000

ros-lyrical-launch-xml (3.6.1-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 29 Jul 2024 00:00:00 -0000

ros-lyrical-launch-xml (3.6.0-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 25 Jun 2024 00:00:00 -0000

ros-lyrical-launch-xml (3.5.1-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 17 Jun 2024 00:00:00 -0000

ros-lyrical-launch-xml (3.5.0-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 26 Apr 2024 00:00:00 -0000

ros-lyrical-launch-xml (3.4.2-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 16 Apr 2024 00:00:00 -0000

ros-lyrical-launch-xml (3.4.1-3resolute) resolute; urgency=high

  * launch_xml: fix xml syntax in README (#770 <https://github.com/ros2/launch/issues/770>)
  * Contributors: Steve Peters

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 28 Mar 2024 00:00:00 -0000

ros-lyrical-launch-xml (3.4.0-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 07 Feb 2024 00:00:00 -0000

ros-lyrical-launch-xml (3.3.0-3resolute) resolute; urgency=high

  * Let XML executables/nodes be "required" (like in ROS 1) (#751 <https://github.com/ros2/launch/issues/751>)
    * Let XML nodes be "required"
    Essentially on_exit="shutdown" is equivalent to ROS 1 required="true".
    This feature is implemented using the python launchfile on_exit mechanism.
    Right now "shutdown" is the only action accepted by on_exit,
    but theoretically more "on_exit" actions could be added later.
    Example:
    <executable cmd="ls" on_exit="shutdown"/>
    * Added tests for yaml
  * Contributors: Matthew Elwin

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 24 Jan 2024 00:00:00 -0000

ros-lyrical-launch-xml (3.2.1-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 26 Dec 2023 00:00:00 -0000

ros-lyrical-launch-xml (3.2.0-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 04 Oct 2023 00:00:00 -0000

ros-lyrical-launch-xml (3.1.0-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 08 Sep 2023 00:00:00 -0000

ros-lyrical-launch-xml (3.0.1-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 07 Sep 2023 00:00:00 -0000

ros-lyrical-launch-xml (3.0.0-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 21 Aug 2023 00:00:00 -0000

ros-lyrical-launch-xml (2.2.1-3resolute) resolute; urgency=high

  * Improve launch file parsing error messages (#626 <https://github.com/ros2/launch/issues/626>)
  * Contributors: Timon Engelke

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 11 Jul 2023 00:00:00 -0000

ros-lyrical-launch-xml (2.2.0-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 07 Jun 2023 00:00:00 -0000

ros-lyrical-launch-xml (2.1.0-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 27 Apr 2023 00:00:00 -0000

ros-lyrical-launch-xml (2.0.1-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 12 Apr 2023 00:00:00 -0000

ros-lyrical-launch-xml (2.0.0-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 11 Apr 2023 00:00:00 -0000

ros-lyrical-launch-xml (1.4.1-3resolute) resolute; urgency=high

  * Fixed typos (#692 <https://github.com/ros2/launch/issues/692>)
  * Contributors: Alejandro Hernández Cordero

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 24 Feb 2023 00:00:00 -0000

ros-lyrical-launch-xml (1.4.0-3resolute) resolute; urgency=high

  * Expose emulate_tty to xml and yaml launch (#669 <https://github.com/ros2/launch/issues/669>)
  * Expose sigterm_timeout and sigkill_timeout to xml frontend (#667 <https://github.com/ros2/launch/issues/667>)
  * [rolling] Update maintainers - 2022-11-07 (#671 <https://github.com/ros2/launch/issues/671>)
  * Contributors: Aditya Pande, Audrow Nash

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 14 Feb 2023 00:00:00 -0000

ros-lyrical-launch-xml (1.3.0-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 02 Nov 2022 00:00:00 -0000

ros-lyrical-launch-xml (1.2.0-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 13 Sep 2022 00:00:00 -0000

ros-lyrical-launch-xml (1.1.0-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 29 Apr 2022 00:00:00 -0000

ros-lyrical-launch-xml (1.0.1-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 13 Apr 2022 00:00:00 -0000

ros-lyrical-launch-xml (1.0.0-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 12 Apr 2022 00:00:00 -0000

ros-lyrical-launch-xml (0.23.1-3resolute) resolute; urgency=high

  * Fix sphinx directive to cross-ref Launch method (#605 <https://github.com/ros2/launch/issues/605>)
  * Contributors: Abrar Rahman Protyasha

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 08 Apr 2022 00:00:00 -0000

ros-lyrical-launch-xml (0.23.0-3resolute) resolute; urgency=high

  * Add boolean substitutions (#598 <https://github.com/ros2/launch/issues/598>)
  * Contributors: Kenji Miyake

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 30 Mar 2022 00:00:00 -0000

ros-lyrical-launch-xml (0.22.0-3resolute) resolute; urgency=high

  * Support scoping environment variables (#601 <https://github.com/ros2/launch/issues/601>)
  * Contributors: Jacob Perron

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 28 Mar 2022 00:00:00 -0000

ros-lyrical-launch-xml (0.21.1-3resolute) resolute; urgency=high

  * 'output' is expanded as a substitution in XML/YAML files (#577 <https://github.com/ros2/launch/issues/577>)
  * Contributors: Khush Jain

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 01 Mar 2022 00:00:00 -0000

ros-lyrical-launch-xml (0.21.0-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 14 Jan 2022 00:00:00 -0000

ros-lyrical-launch-xml (0.20.0-3resolute) resolute; urgency=high

  * Declare frontend group dependency & use explicit dependencies in launch_testing (#520 <https://github.com/ros2/launch/issues/520>)
  * Update maintainers to Aditya Pande and Michel Hidalgo (#559 <https://github.com/ros2/launch/issues/559>)
  * Updated maintainers (#555 <https://github.com/ros2/launch/issues/555>)
  * Add AppendEnvironmentVariable action (#543 <https://github.com/ros2/launch/issues/543>)
  * Feature clear launch configs (#515 <https://github.com/ros2/launch/issues/515>)
  * Fix DeclareLaunchArgument xml parsing and constructor (#529 <https://github.com/ros2/launch/issues/529>)
  * Add 'launch' to sets of launch file extensions (#518 <https://github.com/ros2/launch/issues/518>)
  * Contributors: Aditya Pande, Audrow Nash, Christophe Bedard, Derek Chopp, Ivan Santiago Paunovic

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 29 Nov 2021 00:00:00 -0000

ros-lyrical-launch-xml (0.19.0-3resolute) resolute; urgency=high

  * Make each parser extension provide a set of file extensions (#516 <https://github.com/ros2/launch/issues/516>)
  * Contributors: Christophe Bedard

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 15 Jul 2021 00:00:00 -0000

ros-lyrical-launch-xml (0.18.0-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 18 Jun 2021 00:00:00 -0000

ros-lyrical-launch-xml (0.17.0-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 06 Apr 2021 00:00:00 -0000

ros-lyrical-launch-xml (0.16.0-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 19 Mar 2021 00:00:00 -0000

ros-lyrical-launch-xml (0.15.0-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 25 Jan 2021 00:00:00 -0000

ros-lyrical-launch-xml (0.14.0-3resolute) resolute; urgency=high

  * Add frontend support for LogInfo action (#467 <https://github.com/ros2/launch/issues/467>)
  * Contributors: Jacob Perron

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 08 Dec 2020 00:00:00 -0000

ros-lyrical-launch-xml (0.13.0-3resolute) resolute; urgency=high

  * Validate unparsed attributes and subentities in launch_xml and launch_yaml (#468 <https://github.com/ros2/launch/issues/468>)
  * Add test for launch.actions.TimerAction (#470 <https://github.com/ros2/launch/issues/470>)
  * Update package maintainers (#465 <https://github.com/ros2/launch/issues/465>)
  * Contributors: Ivan Santiago Paunovic, Michel Hidalgo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 04 Nov 2020 00:00:00 -0000

ros-lyrical-launch-xml (0.12.0-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 18 Aug 2020 00:00:00 -0000

ros-lyrical-launch-xml (0.11.1-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 14 Aug 2020 00:00:00 -0000

ros-lyrical-launch-xml (0.11.0-3resolute) resolute; urgency=high

  * Use new type_utils functions (#438 <https://github.com/ros2/launch/issues/438>)
  * Add pytest.ini so local tests don't display warning (#428 <https://github.com/ros2/launch/issues/428>)
  * Contributors: Chris Lalancette, Ivan Santiago Paunovic

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 04 Aug 2020 00:00:00 -0000

ros-lyrical-launch-xml (0.10.2-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 26 May 2020 00:00:00 -0000

ros-lyrical-launch-xml (0.10.1-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 08 May 2020 00:00:00 -0000

ros-lyrical-launch-xml (0.10.0-3resolute) resolute; urgency=high

  * more verbose test_flake8 error messages (same as ros2/launch_ros#135 <https://github.com/ros2/launch_ros/issues/135>)
  * Use imperative mood in docstrings. (#362 <https://github.com/ros2/launch/issues/362>)
  * Contributors: Dirk Thomas, Steven! Ragnarök

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 24 Apr 2020 00:00:00 -0000

ros-lyrical-launch-xml (0.9.5-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 13 Nov 2019 00:00:00 -0000

ros-lyrical-launch-xml (0.9.4-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 08 Nov 2019 00:00:00 -0000

ros-lyrical-launch-xml (0.9.3-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 23 Oct 2019 00:00:00 -0000

ros-lyrical-launch-xml (0.9.2-3resolute) resolute; urgency=high

  * install resource marker file for packages (#341 <https://github.com/ros2/launch/issues/341>)
  * Contributors: Dirk Thomas

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 23 Oct 2019 00:00:00 -0000

ros-lyrical-launch-xml (0.9.1-3resolute) resolute; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 25 Sep 2019 00:00:00 -0000

ros-lyrical-launch-xml (0.9.0-3resolute) resolute; urgency=high

  * install package manifest (#330 <https://github.com/ros2/launch/issues/330>)
  * Add deprecated argument to LaunchDescriptionn (#291 <https://github.com/ros2/launch/issues/291>)
  * Add support for not optional environment variable substitution (#288 <https://github.com/ros2/launch/issues/288>)
  * Add parsing methods for SetEnviromentVariable and UnsetEnviromentVariable (#272 <https://github.com/ros2/launch/issues/272>)
  * Add parsing method for DeclareLaunchArgument (#270 <https://github.com/ros2/launch/issues/270>)
  * Add frontend module in launch, launch_xml and launch_yaml packages (#226 <https://github.com/ros2/launch/issues/226>)
  * Contributors: Dirk Thomas, ivanpauno

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 18 Sep 2019 00:00:00 -0000


